{ self, config, ... }:
{
  system.stateVersion = "25.11";
  nixpkgs.hostPlatform = {
    system = "x86_64-linux";
  };

  clan.core.settings.name = "ramus";
  clan.core.settings.machine.description = "A Hetzner VPS machine own by Alex.";

  clan.core.sops.defaultGroups = [ "admins" ];
  clan.core.networking.targetHost = "root@[${config.clan.core.vars.generators.zerotier.files.zerotier-ip.value}]";

  clan.core.vars.generators.acme = {
    share = true;
    files.email.secret = false;

    prompts.email = {
      type = "line";
      description = "Email for ACME registeration";
    };

    script = ''
      cat $prompts/email > $out/email
    '';
  };

  users.users.nginx.extraGroups = [ "acme" ];

  security.acme.acceptTerms = true;

  imports = [ ./think-greater-chiangmai.nix ];
}
